GLI 0.6.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
texture1DArray Class Reference

## Public Types
typedef storage::dim1_type | dim_type
typedef storage::size_type | face_type
typedef storage::format_type | format_type
typedef storage::size_type | layer_type
typedef storage::size_type | level_type
typedef storage::size_type | size_type
typedef storage::texcoord1_type | texcoord_type

## Public Member Functions
face_type | baseFace () const
layer_type | baseLayer () const
level_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dim_type | dimensions () const
bool | empty () const
face_type | faces () const
format_type | format () const
layer_type | layers () const
level_type | levels () const
face_type | maxFace () const
layer_type | maxLayer () const
level_type | maxLevel () const
| operator storage () const
texture1D | operator[] (layer_type const &Layer) const
size_type | size () const
template<typename genType >
size_type | size () const
| texture1DArray ()
| texture1DArray (layer_type const &Layers, level_type const &Levels, format_type const &Format, dim_type const &Dimensions)
| texture1DArray (layer_type const &Layers, format_type const &Format, dim_type const &Dimensions)
| texture1DArray (storage const &Storage)
| texture1DArray (storage const &Storage, format_type const &Format, layer_type BaseLayer, layer_type MaxLayer, face_type BaseFace, face_type MaxFace, level_type BaseLevel, level_type MaxLevel)
| texture1DArray (texture1DArray const &Texture, layer_type const &BaseLayer, layer_type const &MaxLayer, level_type const &BaseLevel, level_type const &MaxLevel)
| texture1DArray (texture1D const &Texture, level_type const &BaseLevel, level_type const &MaxLevel)

## Detailed Description

Definition at line 37 of file texture1d_array.hpp.

## Member Typedef Documentation

typedef storage::dim1_type dim_type

Definition at line 40 of file texture1d_array.hpp.

typedef storage::size_type face_type

Definition at line 46 of file texture1d_array.hpp.

typedef storage::format_type format_type

Definition at line 43 of file texture1d_array.hpp.

typedef storage::size_type layer_type

Definition at line 44 of file texture1d_array.hpp.

typedef storage::size_type level_type

Definition at line 45 of file texture1d_array.hpp.

typedef storage::size_type size_type

Definition at line 42 of file texture1d_array.hpp.

typedef storage::texcoord1_type texcoord_type

Definition at line 41 of file texture1d_array.hpp.

## Constructor & Destructor Documentation

texture1DArray | ( |  | ) |

texture1DArray | ( | layer_type const & | Layers,
|  | level_type const & | Levels,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a texture1DArray and allocate a new storage.

texture1DArray | ( | layer_type const & | Layers,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |
| explicit

Create a texture1DArray and allocate a new storage with a complete mipmap chain.

texture1DArray | ( | storage const & | Storage | ) |
| explicit

Create a texture1DArray view with an existing storage.

texture1DArray | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | layer_type | BaseLayer,
|  | layer_type | MaxLayer,
|  | face_type | BaseFace,
|  | face_type | MaxFace,
|  | level_type | BaseLevel,
|  | level_type | MaxLevel
| ) |  |
| explicit

Create a texture1DArray view with an existing storage.

texture1DArray | ( | texture1DArray const & | Texture,
|  | layer_type const & | BaseLayer,
|  | layer_type const & | MaxLayer,
|  | level_type const & | BaseLevel,
|  | level_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an exiting storage.

texture1DArray | ( | texture1D const & | Texture,
|  | level_type const & | BaseLevel,
|  | level_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an exiting texture1D instance.

## Member Function Documentation

face_type baseFace | ( |  | ) | const

layer_type baseLayer | ( |  | ) | const

level_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dim_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

face_type faces | ( |  | ) | const

format_type format | ( |  | ) | const

layer_type layers | ( |  | ) | const

level_type levels | ( |  | ) | const

face_type maxFace | ( |  | ) | const

layer_type maxLayer | ( |  | ) | const

level_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

texture1D operator[] | ( | layer_type const & | Layer | ) | const

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const